import { render } from '@testing-library/react'
import { DataloadState } from 'enums'
import { DataloadValueDetail } from 'models'
import React from 'react'
import PieChart from './PieChart'

describe('PieChart component', () => {
  const mockDataloadValueDetailArray: DataloadValueDetail[] = [
    { value: 10, state: DataloadState.VALID },
    { value: 20, state: DataloadState.VALID },
    { value: 30, state: DataloadState.VALID },
  ]
  it('should be rendered correctly', () => {
    const { container } = render(
      <PieChart
        radius={300}
        outerRadius={300}
        innerRadius={300}
        dataloadValueDetailArray={mockDataloadValueDetailArray}
      >
        child with value and text to render
      </PieChart>
    )
    expect(container).toMatchSnapshot()
  })
})
