import { render, screen } from '@testing-library/react'
import { FluidType } from 'enums'
import React from 'react'
import Loader from './Loader'

describe('Loader component', () => {
  it('should render base Loader', () => {
    const { container } = render(<Loader />)
    expect(container).toMatchSnapshot()
    expect(screen.getByRole('progressbar')).toBeInTheDocument()
  })

  it('should render Electricity Loader', () => {
    const { container } = render(<Loader color="elec" />)
    expect(container).toMatchSnapshot()
  })

  it('should render Water Loader', () => {
    const { container } = render(<Loader fluidType={FluidType.WATER} />)
    expect(container).toMatchSnapshot()
  })

  it('should render Gas Loader', () => {
    const { container } = render(<Loader fluidType={FluidType.GAS} />)
    expect(container).toMatchSnapshot()
  })
})
