import LegalNoticeIcon from 'assets/icons/ico/legal-notice.svg'
import StyledCard from 'components/CommonKit/Card/StyledCard'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import { useNavigate } from 'react-router-dom'
import '../OptionsView.scss'

const LegalNoticeLink = () => {
  const { t } = useI18n()
  const navigate = useNavigate()

  const goToLegalNotice = () => {
    navigate(`/options/legalnotice`)
  }

  return (
    <div className="styled-card-root">
      <div className="styled-card-content">
        <div className="styled-card-header text-16-normal-uppercase">
          {t('legal.title_legal')}
        </div>
        <StyledCard onClick={goToLegalNotice}>
          <StyledIcon icon={LegalNoticeIcon} size={38} />
          {t('legal.read_legal')}
        </StyledCard>
      </div>
    </div>
  )
}

export default LegalNoticeLink
