import { UsageEventType } from 'enums'
import { DateTime } from 'luxon'

export interface AddEventParams {
  type: UsageEventType
  target?: string
  result?: string
  context?: string
  startDate?: DateTime | null
}

export interface UsageEventCreationEntity {
  eventDate: string
  type: UsageEventType
  target?: string
  result?: string
  context?: string
  aggregated: boolean
  startDate?: string
}

export interface UsageEventEntity extends UsageEventCreationEntity {
  _id: string
}

export interface UsageEvent
  extends Omit<UsageEventEntity, 'eventDate' | 'startDate'> {
  eventDate: DateTime
  startDate?: DateTime
}
