import { AppState, setupStore } from 'store/store'
import mockClient from '../client.mock'
import { mockProfileEcogesture } from '../profileEcogesture.mock'
import { mockAnalysisState } from './analysis.state.mock'
import { mockChallengeState } from './challenge.state.mock'
import { mockChartState } from './chart.state.mock'
import { mockGlobalState } from './global.state.mock'
import { mockModalState } from './modal.state.mock'
import { mockProfileState } from './profile.state.mock'
import { mockProfileTypeState } from './profileType.state.mock'

export const mockInitialEcolyoState: AppState['ecolyo'] = {
  analysis: mockAnalysisState,
  challenge: mockChallengeState,
  chart: mockChartState,
  global: mockGlobalState,
  modal: mockModalState,
  profile: mockProfileState,
  profileType: mockProfileTypeState,
  profileEcogesture: mockProfileEcogesture,
}

/**
 * Create a mocked Ecolyo store with the default mockInitialEcolyoState
 * @param state - optional, a partial desired state
 */
export const createMockEcolyoStore = (
  initialState: Partial<AppState['ecolyo']> = mockInitialEcolyoState
) => {
  return setupStore(mockClient, {
    ecolyo: { ...mockInitialEcolyoState, ...initialState },
  })
}
